Jump to content

Recommended Posts

  • Replies 139
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

We know what is causing the issue and will send out a fix asap. Best Regards, Sebkinne

Module: SSLsplit Version: 1.0 Features: Install dependencies Generate certificate Manage firewall rules Live output with filter options Run History Autostart on boot

1. To have it start on boot, you just have to click on the "ON/OFF" button and then the state of the button is green, which means that sslsplit will be started on boot. 2. The view button will show y

Posted Images

17 minutes ago, trashbo4t said:

Can you see any log output?

If the module works for a long time, then a log is created. I saw the log, but I did not see any benefit from this log. The client detects the surveillance during the first call on the https protocol. This circumstance depreciates the entire attack.

Link to post
Share on other sites
5 minutes ago, art445 said:

If the module works for a long time, then a log is created. I saw the log, but I did not see any benefit from this log. The client detects the surveillance during the first call on the https protocol. This circumstance depreciates the entire attack.

Glad to hear it runs, sslsplit seems to be an outdated vector though.

Link to post
Share on other sites
  • 2 months later...
On 4/15/2018 at 3:15 AM, wedelthomas said:

just installed SSLStrip on a NANO, everything installed, no issues, but when I hit start it says:


SSLsplit is not running...

ssh into the nano and type ssltrip.... no luck, it installed on SDCard..I run it directly from /sd/bin and it says:

./sslsplit: can't load library 'libevent_openssl-2.0.so.5'

 

seems to be an issue with the installation.

any help would be appreciated

 

Also happens to me with, WiFi Pineapple Nano, with it's latest firmware 2.2.0

Link to post
Share on other sites
  • 2 weeks later...

If you installed the module on an sdcard;

In the (/sd/modules/SSLsplit/scripts/sslsplit.sh) script After line:

iptables -t nat -A POSTROUTING -j MASQUERADE

Add this:

[ -d /pineapple/modules/SSLsplit/log ] || mkdir /pineapple/modules/SSLsplit/log

It tests for the log folder and creates it if needed.

Link to post
Share on other sites
  • 1 month later...
On 7/18/2018 at 6:30 AM, r4nd0mNE55 said:

If you installed the module on an sdcard;

In the (/sd/modules/SSLsplit/scripts/sslsplit.sh) script After line:


iptables -t nat -A POSTROUTING -j MASQUERADE

Add this:


[ -d /pineapple/modules/SSLsplit/log ] || mkdir /pineapple/modules/SSLsplit/log

It tests for the log folder and creates it if needed.

During the git migration of the modules, all empty folders were just skipped: logs, dumps, scans, etc.

This will be fixed soon for all modules.

Link to post
Share on other sites
  • 3 months later...

Is it possible that someone would update ssplit to newer version ( current version is 0.5.4 ), but in modules it is 0.4.11. There are significant differences between these versions. Or where can I find how to compile it by my self or how to setup build-essentials on TETRA. 

Link to post
Share on other sites
  • 8 months later...

This is completely broken again. Trying to install the dependencies from the GUI  results in a 500 (from sd or internal). Running "dependencies.sh install sd"  manually fails with the following:

" * opkg_install_cmd: Cannot install package sslsplit."

Indeed running opkg install sslsplit or opkg install sslsplit --dest sd results in

Unknown package 'sslsplit'.
Collected errors:
 * opkg_install_cmd: Cannot install package sslsplit.

 

Clearly sslsplit does not exist in the repositories. In addition, the opkg update  prints this:

Downloading https://downloads.hak5.org/packages/mk6/1907/Packages.gz


that Package 404's. I'm guessing sslstrip lived in that gz file. Any chance we can get this patched?

Link to post
Share on other sites
  • 3 months later...
On 8/14/2019 at 3:14 PM, Sarif said:

This is completely broken again. Trying to install the dependencies from the GUI  results in a 500 (from sd or internal). Running "dependencies.sh install sd"  manually fails with the following:

" * opkg_install_cmd: Cannot install package sslsplit."

Indeed running opkg install sslsplit or opkg install sslsplit --dest sd results in

Unknown package 'sslsplit'.
Collected errors:
 * opkg_install_cmd: Cannot install package sslsplit.

 

Clearly sslsplit does not exist in the repositories. In addition, the opkg update  prints this:

Downloading https://downloads.hak5.org/packages/mk6/1907/Packages.gz


that Package 404's. I'm guessing sslstrip lived in that gz file. Any chance we can get this patched?

I'm having the same problem:

root@Pineapple:/sd/modules/SSLsplit# opkg install sslsplit
Unknown package 'sslsplit'.
Collected errors:
 * opkg_install_cmd: Cannot install package sslsplit.
root@Pineapple:/sd/modules/SSLsplit#

I manually checked all the dependencies just to be certain and all of the openssl dependencies are installed properly.

Link to post
Share on other sites
  • 1 month later...
  • 3 months later...

Hello, SSLSplit isn't installing appropriately for me either. I tried running dependencies.sh from the command line to see where the breakdown was, and all the other dependencies appear to work fine; however, sslsplit itself is not found in the repository:

 

Downloading https://downloads.hak5.org/packages/mk6/1907/Packages.gz
Updated list of available packages in /var/opkg-lists/1907_pineapple
Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/base                                                                                                    /Packages.gz
Updated list of available packages in /var/opkg-lists/1907_base
Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/pack                                                                                                    ages/Packages.gz
Updated list of available packages in /var/opkg-lists/1907_packages
Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/rout                                                                                                    ing/Packages.gz
Updated list of available packages in /var/opkg-lists/1907_routing
Unknown package 'sslsplit'.
Collected errors:
 * opkg_install_cmd: Cannot install package sslsplit.
Package openssl-util (1.1.1g-1) installed in root is up to date.
Package libevent2-7 (2.1.11-1) installed in root is up to date.
Package libevent2-core7 (2.1.11-1) installed in root is up to date.
Package libevent2-extra7 (2.1.11-1) installed in root is up to date.
Package libevent2-openssl7 (2.1.11-1) installed in root is up to date.
Package libevent2-pthreads7 (2.1.11-1) installed in root is up to date.
Generating RSA private key, 1024 bit long modulus (2 primes)
.......+++++
....................+++++
e is 65537 (0x010001)

Any idea how to fix this? No-one else is having this issue? Thanks!

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...